<div class="d-flex">
    <div class="form-group hidden">
      <div class="input-group">
        <input
          name="datepicker"
          class="form-control"
          ngbDatepicker
          #datepicker="ngbDatepicker"
          [autoClose]="false"
          (dateSelect)="onDateSelection($event)"
          [displayMonths]="range ? 2 : 1"
          [dayTemplate]="t"
          outsideDays="'outsideDays'"
          [startDate]="fromDate!"
          (closed)="handleClosing($event)"
          [ngClass]="{ ranged: range }"
          [minDate]="{ year: 1980, month: 1, day: 1 }"
        />
        <ng-template #t let-date let-focused="focused">
          <div
            [class.focused]="focused"
            [class.range]="isRange(date)"
            [class.faded]="isHovered(date) || isInside(date)"
          >
            <span
              class="custom-day"
              [ngClass]="{ round: !range }"
              [class.focused]="focused"
              [class.range]="isRange(date)"
              [class.faded]="isHovered(date) || isInside(date)"
              (mouseenter)="hoveredDate = date"
              (mouseleave)="hoveredDate = null"
            >
              {{ date.day }}
              <br />
              <div *ngIf="usercdata | async">
                <div *ngFor="let day of activityDayVehicule">
                  <div *ngIf="compareDate(date, day)">
                    <div id="cercle"></div>
                  </div>
                </div>
              </div>
            </span>
          </div>
        </ng-template>
      </div>
    </div>
  
    <div class="form-group">
      <div class="input-group" style="width: 146px; overflow: hidden;background-color: white;">
        <a
          class="ngx-daterangepicker-action ml-2"
          (click)="datepicker.toggle(); handleOpening($event)"
        >
          <svg-icon
            src="/assets/icon-svg/calendar.svg"
            class="date-picker-trigger"
            [svgStyle]="{
              'width.px': 15,
              'height.px': 15,
              position: 'relative',
              'top.px': -1
            }"
          ></svg-icon>
        </a>
        <input
          #dpFromDate
          class="form-control"
          placeholder="DD/MM/YYYY"
          name="dpFromDate"
          [value]="formatFromDate(fromDate)"
          (keyup)="asyncValidateInput(fromDate, $event, $event.target.value)"
          (blur)="dpFromDate.value = BlurFromDate($event, $event.target.value)"
        />
        <div *ngIf="!range">
    
        </div>
      </div>
    </div>
    <div class="form-group ml-2" *ngIf="range">
      <div class="input-group" style="width: 146px; overflow: hidden;background-color: white;">
        <a
          class="ngx-daterangepicker-action ml-2"
          (click)="datepicker.toggle(); handleOpening($event)"
        >
          <svg-icon
            src="/assets/icon-svg/calendar.svg"
            class="date-picker-trigger"
            [svgStyle]="{ 'width.px': 15, 'height.px': 15 }"
          ></svg-icon>
        </a>
        <input
          #dpToDate
          class="form-control"
          placeholder="DD/MM/YYYY"
          name="dpToDate"
          [value]="formatToDate(toDate)"
          (keyup)="asyncValidateToDateInput(toDate, $event, $event.target.value)"
        />
   
      </div>
    </div>
  
    <!-- ****************************************************  Actions  ****************************************************** -->
    <button (click)="datepicker.close()" class="w-0" id="close"></button>
    <button
      (click)="datepicker.navigateTo(fromDate)"
      class="w-0"
      id="date-navigation"
    ></button>
  </div>
  